<template>
	<mind-layout-table :data="ListaRecursos" rowKey="id" 
		:path="$route.path" @delete="onDelete" >
			<el-table-column sortable width="200px" prop="type" label="Tipo"  />
			<el-table-column sortable prop="category" label="Nombre"  />
	</mind-layout-table>
</template>

<script>
// import store from '@/store/troncales'
import {Rest} from '@/../modules/mind-core-vue'

export default {
  async created() {

		this.api = new Rest({
			uri: `api/ami/trunks`, 
			key: 'id'})

		this.sipTrunks = await this.api.FetchAll().catch((error)=>{
			this.$message({
				showClose: true,
				type: 'error',
				message: error
			});
		})
	},
	computed:{
		ListaRecursos() {
			if(!this.sipTrunks) {
				return []
			}
			
			this.sipTrunks.forEach((t)=>{
				t.id = `${t.type}/${t.category}`
			})
			return this.sipTrunks
		},
	},
	methods: {
		/**
		 * Elimina el recuros especificado
		 * @param id recurso del elemento a eliminar
		 */
		onDelete(id){
			this.api.Delete(id).catch((error)=>{
				this.$message({
					showClose: true,
					type: 'error',
					message: error
				});
			})
		},
	},
	data() {
		return {
			api: null,
			sipTrunks: []
		}
	}
	
}
</script>
<style >

</style>
